Skala
Shipments

List all shipments

Fetches a complete list of shipment records available in the system.

GET
/api/shipments

Fetches a complete list of shipment records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/shipments"
[
  {
    "id": 0,
    "invoice": "/entity/1",
    "items": [
      {
        "id": 0,
        "invoiceItem": "/entity/1",
        "quantity": "string",
        "total": "string",
        "barcode": "string",
        "expirationDate": "2019-08-24T14:15:22Z",
        "batch": "/entity/1",
        "batchNumber": "string",
        "serialNumbers": [
          {}
        ]
      }
    ],
    "total": "string",
    "saveAndClose": true
  }
]